summaryrefslogtreecommitdiff
path: root/t/t2102-update-index-symlinks.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t2102-update-index-symlinks.sh')
-rwxr-xr-xt/t2102-update-index-symlinks.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/t/t2102-update-index-symlinks.sh b/t/t2102-update-index-symlinks.sh
index 969ef891d3..4d0d0a3515 100755
--- a/t/t2102-update-index-symlinks.sh
+++ b/t/t2102-update-index-symlinks.sh
@@ -3,29 +3,29 @@
# Copyright (c) 2007 Johannes Sixt
#
-test_description='git-update-index on filesystem w/o symlinks test.
+test_description='git update-index on filesystem w/o symlinks test.
-This tests that git-update-index keeps the symbolic link property
+This tests that git update-index keeps the symbolic link property
even if a plain file is in the working tree if core.symlinks is false.'
. ./test-lib.sh
test_expect_success \
'preparation' '
-git-config core.symlinks false &&
-l=$(echo -n file | git-hash-object -t blob -w --stdin) &&
-echo "120000 $l symlink" | git-update-index --index-info'
+git config core.symlinks false &&
+l=$(printf file | git hash-object -t blob -w --stdin) &&
+echo "120000 $l symlink" | git update-index --index-info'
test_expect_success \
'modify the symbolic link' '
-echo -n new-file > symlink &&
-git-update-index symlink'
+printf new-file > symlink &&
+git update-index symlink'
test_expect_success \
'the index entry must still be a symbolic link' '
-case "`git-ls-files --stage --cached symlink`" in
-120000" "*symlink) echo ok;;
-*) echo fail; git-ls-files --stage --cached symlink; (exit 1);;
+case "`git ls-files --stage --cached symlink`" in
+120000" "*symlink) echo pass;;
+*) echo fail; git ls-files --stage --cached symlink; (exit 1);;
esac'
test_done